
function usage {
    echo "Usage:"
    echo "-d disable Bixby Assistant"
    echo "-e enable Bixby Assistant"
    echo "-s enable Bixby remapping permission"
    echo "-x disable Bixby remapping permission"
    echo "-h this help message"
}




while getopts desxh option; do

case $option in
    d)
        echo "Disabling Bixby Assistant..."
        pm disable-user com.samsung.android.app.spage
    ;;
    e)
        echo "Enabling Bixby Assistant..."
        pm enable com.samsung.android.app.spage
    ;;
    x)
        echo "Disabling Bixby remapping..."
        pm revoke flar2.homebutton android.permission.READ_LOGS
    ;;
    s)
        echo "Enabling Bixby remapping..."
        pm grant flar2.homebutton android.permission.READ_LOGS
    ;;
    h)
        usage
    ;;

esac
exit 0
done

unset option
if [ -z "$option" ]; then
    echo "\nAdd -h to the end of this command for more options\n"
    echo "Disabling Bixby Assistant..."
    pm disable-user com.samsung.android.app.spage 2>/dev/null
    pm enable com.samsung.android.bixby.agent 2>/dev/null

    echo "\nEnabling Bixby remapping...\n"
    pm grant flar2.homebutton android.permission.READ_LOGS
fi

exit 0
