package=flar2.homebutton
keyeventd=/data/local/tmp/keyeventd

function stop_keyeventd {
    if [[ `pgrep -c keyeventd` > 0 ]]; then
        killall keyeventd
    fi
}

function remove_keyeventd {
    if [ -f $keyeventd ]; then
        rm -rf $keyeventd
    fi
}

function install_keyeventd {
    cp $path $keyeventd

    if [ -f $keyeventd ]; then
        chmod 0755 $keyeventd
    else
        echo "Permission denied"
    fi
}

function execute_keyeventd {
    if [ -x $keyeventd ]; then
        echo "The keyevent service must be restarted every time you reboot your phone"
        exec $keyeventd
    else
        echo "Cannot execute"
        exit 1
    fi
}

function usage {
    echo "Usage:"
    echo "-d disable Bixby Assistant"
    echo "-e enable Bixby Assistant"
    echo "-x stop keyevent service"
    echo "-u uninstall keyeventd"
    echo "-i install and start keyevent service"
    echo "-s start keyevent service"
}




while getopts deuxish option; do

case $option in
    d)
        echo "Disabling Bixby Assistant..."
        pm disable-user com.samsung.android.app.spage
    ;;
    e)
        echo "Enabling Bixby Assistant..."
        pm enable com.samsung.android.app.spage
    ;;
    u)
        echo "Uninstalling keyevent service..."
        stop_keyeventd
        remove_keyeventd
    ;;
    x)
        echo "Stopping keyevent service..."
        stop_keyeventd
    ;;
    i)
        echo "Installing keyevent service..."
        stop_keyeventd
        remove_keyeventd
        install_keyeventd
        execute_keyeventd
    ;;
    s)
        echo "Starting keyevent service..."
        stop_keyeventd
        execute_keyeventd
    ;;
    h)
        usage
    ;;

esac
exit 0
done

unset option
if [ -z "$option" ]; then
    echo "\nAdd -h to the end of this command for more options\n"
    echo "Disabling Bixby Assistant..."
    pm disable-user com.samsung.android.app.spage
    echo "\nInstalling keyevent service...\n"
    stop_keyeventd
    remove_keyeventd
    install_keyeventd
    execute_keyeventd
fi

exit 0
